## ros-rolling-ros2-socketcan-msgs 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ros2_socketcan_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake_auto REQUIRED)
ament_auto_find_build_dependencies()

rosidl_generate_interfaces(${PROJECT_NAME}
  "msg/FdFrame.msg"
  DEPENDENCIES std_msgs
  ADD_LINTER_TESTS
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_auto_package()

=== debian/changelog ===
ros-rolling-ros2-socketcan-msgs (1.2.0-1jammy) jammy; urgency=high

  * Add CAN FD Support (#28 <https://github.com/autowarefoundation/ros2_socketcan/issues/28>)
    * Add FD support to ROS2 interface.
    * Add FD send/receive.
    * Missed some fields in Frame msg.
    * Make standard and FD mutually exclusive.
    * Enable runtime checks for standard vs FD.
    * Try to minimize API changes.
    * Fix receive_id/fd_receive_id mix-up.
    * Make new message FD-specific.
    * Use FdFrame message.
    * Remove unused functions.
    * Always resize fd frame buffer to 64 before receive.
    * Add enable_can_fd to socket_can_bridge.launch.xml.
    ---------
  * Adding ros2_socketcan_msgs (#26 <https://github.com/autowarefoundation/ros2_socketcan/issues/26>)
  * Contributors: Joshua Whitley
  * Add CAN FD Support (#28 <https://github.com/autowarefoundation/ros2_socketcan/issues/28>)
    * Add FD support to ROS2 interface.
    * Add FD send/receive.
    * Missed some fields in Frame msg.
    * Make standard and FD mutually exclusive.
    * Enable runtime checks for standard vs FD.
    * Try to minimize API changes.
    * Fix receive_id/fd_receive_id mix-up.
    * Make new message FD-specific.
    * Use FdFrame message.
    * Remove unused functions.
    * Always resize fd frame buffer to 64 before receive.
    * Add enable_can_fd to socket_can_bridge.launch.xml.
    ---------
  * Adding ros2_socketcan_msgs (#26 <https://github.com/autowarefoundation/ros2_socketcan/issues/26>)
  * Contributors: Joshua Whitley

 -- Josh Whitley <josh@electrifiedautonomy.com>  Thu, 02 Mar 2023 15:00:00 -0000

ros-rolling-ros2-socketcan-msgs (1.1.0-1jammy) jammy; urgency=high



 -- Josh Whitley <josh@electrifiedautonomy.com>  Wed, 02 Feb 2022 15:00:00 -0000

ros-rolling-ros2-socketcan-msgs (1.0.0-1jammy) jammy; urgency=high



 -- Josh Whitley <josh@electrifiedautonomy.com>  Wed, 31 Mar 2021 15:00:00 -0000

=== debian/control ===
Source: ros-rolling-ros2-socketcan-msgs
Section: misc
Priority: optional
Maintainer: Josh Whitley <josh@electrifiedautonomy.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-auto, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-rosidl-default-generators, ros-rolling-std-msgs, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-ros2-socketcan-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rosidl-default-runtime, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: Messages for SocketCAN

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-ros2-socketcan-msgs//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
